Package org.silverpeas.mobile.client.common.file

## Class FileMgr.FileWriter

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - org.silverpeas.mobile.client.common.file.FileMgr.FileBase
    - - org.silverpeas.mobile.client.common.file.FileMgr.FileWriter

- Enclosing class:
    FileMgr

      public static class FileMgr.FileWriter
      extends FileMgr.FileBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FileMgr.FileWriter.ReadyState` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FileWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getLength()` |
    `long` | `getPosition()` |
    `FileMgr.FileWriter.ReadyState` | `getReadyState()` |
    `void` | `onWrite​(FileMgr.EventCallback callback)` |
    `void` | `onWriteEnd​(FileMgr.EventCallback callback)` |
    `void` | `onWriteStart​(FileMgr.EventCallback callback)` |
    `void` | `seek​(long offset)` |
    `void` | `truncate​(long size)` |
    `void` | `write​(String text)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.file.FileMgr.FileBase

      `abort, getError, getFileName, getReadyStateNative, getResult, onAbort, onError, onProgress`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileWriter

          protected FileWriter()

  - ### Method Detail

    - #### getReadyState

          public final FileMgr.FileWriter.ReadyState getReadyState()

    - #### getLength

          public final long getLength()

    - #### getPosition

          public final long getPosition()

    - #### onWriteStart

          public final void onWriteStart​(FileMgr.EventCallback callback)

    - #### onWrite

          public final void onWrite​(FileMgr.EventCallback callback)

    - #### onWriteEnd

          public final void onWriteEnd​(FileMgr.EventCallback callback)

    - #### seek

          public final void seek​(long offset)

    - #### truncate

          public final void truncate​(long size)

    - #### write

          public final void write​(String text)